##### 7.5.23.0. showgrades

Procedure from library `purityfiltration.lib` (see purityfiltration_lib).

Usage:
  showgrades(T), T list, which includes representation matrices of modules

Return:
  list, gradenumbers of the entries in T

Purpose:
  computes a list L with L[i]=gradenumber(M), M=D^p/D^qT[i]

Example:

    LIB "purityfiltration.lib";
    ring D = 0,(x,y,z),dp;
    matrix R[6][4]=
    0,-2*x,z-2*y-x,-1,
    0,z-2*x,2*y-3*x,1,
    z,-6*x,-2*y-5*x,-1,
    0,y-x,y-x,0,
    y,-x,-y-x,0,
    x,-x,-2*x,0;
    list T=purityFiltration(transpose(R))[2];
    showgrades(T);
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    -1
    ==> [3]:
    ==>    2
    ==> [4]:
    ==>    3
    // T[i] are i-1 pure (i=1,3,4) or zero (i=2)

User manual for Singular version 4.4.1, 2025, generated by texi2html.